#
# spec file for package geronimo (Version 1.1)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl ant ant-trax attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv jaf java-1_5_0-sun java-1_5_0-sun-devel jpackage-utils klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip update-alternatives util-linux vim xalan-j2 xerces-j2 xorg-x11-libICE xorg-x11-libSM xorg-x11-libX11 xorg-x11-libXau xorg-x11-libXdmcp xorg-x11-libXext xorg-x11-libXfixes xorg-x11-libXmu xorg-x11-libXp xorg-x11-libXpm xorg-x11-libXprintUtil xorg-x11-libXrender xorg-x11-libXt xorg-x11-libXv xorg-x11-libfontenc xorg-x11-libs xorg-x11-libxkbfile zlib zlib-devel

Name:           geronimo
%define base_name       geronimo
%define section         free
%define source_top      %{name}-%{cvs_version}
%define alternativesdir var
%define tomcat_alt      tomcat
%define jetty_alt       jetty
%define current_alt     current
%define full_name       %{name}-%{version}
%define geronimo_home   %{_datadir}/%{full_name}
%define tomcat_dir      %{_builddir}/tomcat
%define jetty_dir       %{_builddir}/jetty
%define result_dir      %{_builddir}/result
%define tomcat_only_dir %{result_dir}/tomcat_only
%define jetty_only_dir  %{result_dir}/jetty_only
%define commons_dir     %{result_dir}/commons_dir
%define tomcat_suffix .tomcat
%define jetty_suffix  .jetty
%define tomcat_file_list   %{_builddir}/tomcat.files
%define jetty_file_list    %{_builddir}/jetty.files
%define commons_file_list  %{_builddir}/commons.files
%define dif_file_list      %{_builddir}/diff.files
%define diff_dirs          var/config
%define tmp_dir            %{_builddir}/tmp_dir
%define deploy_dir         %{_localstatedir}/cache/%{name}-%{version}
#<<<
#>>> packages properties
#>>> main
BuildRequires:  ant-trax diffutils jaf java-1_5_0-sun-devel unzip update-alternatives
Version:        1.1
Release:        23
Summary:        Geronimo is Apache's ASF-licensed J2EE server project
Url:            http://geronimo.apache.org/
Source0:        http://www.apache.org/dyn/closer.cgi/geronimo/1.1/geronimo-tomcat-j2ee-%{version}.tar.gz
NoSource:       0
Source1:        http://www.apache.org/dyn/closer.cgi/geronimo/1.1/geronimo-jetty-j2ee-%{version}.tar.gz
NoSource:       1
Source2:        rcgeronimo
Source3:        sysconfig.geronimo
Source4:        README.SuSE
Source5:        opensuse.gif
Patch0:         jetty-start-page.patch
Patch1:         tomcat-start-page.patch
License:        The Apache Software License
Group:          Development/Libraries/Java
BuildArch:      noarch
#
Requires:       ant >= 1.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Provides:       %{name} = %{version}-%{release}
Requires:       %{name}-servlet-container = %{version}-%{release}
PreReq:         %fillup_prereq
PreReq:         /usr/sbin/useradd, /usr/sbin/groupadd, sed, /usr/bin/install

%description
The Geronimo project is an open source application server developed by
the Apache Software Foundation and distributed under the Apache
license.

Geronimo is currently compatible with the Java 2 Enterprise Edition
(J2EE) 1.4 specification. When compared to other application servers
such as JBoss, WebLogic and WebSphere, Geronimo's most distinctive
features are its:

* BSD-style license, which allows it to be modified for and embedded
   within commercial, closed source software (unlike the popular GPL
   and LGPL licenses)

* Modular GBean-based architecture, which allows users to remove
   unneeded services and build very lightweight configurations of
   the server

* Non-Profit ASF leadership, which provides legal protection,
   ensures stability across the loss of individual contributors and
   insulates the project from commercial conflicts of interest

* Diverse support community, in which companies compete freely and
openly to provide services, with none enjoying any particular trademark
advantage



Authors:
--------
    Aaron Mulder
    Alan Cabrera
    Bruce Snyder
    Dain Sundstrom
    Davanum Srinivas
    David Blevins
    David Jencks
    Geir Magnusson Jr.
    Gianny D'Amour
    Greg Wilkins
    Hiram Chirino
    Jacek Laskowski
    James Strachan
    Jan Bartel
    Jason Dillon
    Jeff Genender
    Jeremy Boynes
    John Sisson
    Jules Gosnell
    Kevan Miller
    Mark DeLaFranier
    Matt Hogstrom
    Sachin Patel
    Simone Bordot
    Srinath Perera

%package jetty-servlet-container
Summary:        Jetty Servlet engine for Geronimo
Group:          Development/Libraries/Java
Provides:       %{name}-jetty-servlet-container = %{version}-%{release}
Provides:       %{name}-servlet-container = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
PreReq:         /usr/sbin/useradd, /usr/sbin/groupadd, sed, /usr/bin/install

%description jetty-servlet-container
This is the Jetty Servlet Enging for Geronimo.



Authors:
--------
    Greg Wilkins
    Arkadi Shishlov
    Adam Klatzkin
    Adnan Musi
    Arthur Simoneau
    Bradley Williams
    Brett Sealey
    Clayton Wheeler
    Charles Butcher
    Cris Perdue
    Dan Finkelstein
    Daniel Deville
    Daniel Eriksson
    David Taylor
    Dmitri Colebatch
    Donovan Kolbly
    Doyle Davidson
    Ernest Leipold
    Eugene Ciurana
    Fredrik Borgh
    Gerd Mueller
    Greg Colvin
    Gsta Jonasson
    Hans Maerki
    Hartmut Benz
    Heinrich Abele
    Helmut Hissen
    Ignacio Coloma
    James Robinson
    Jan Bartel
    Jan Hlavaty
    Jason Gilbert
    Jason Weinstein
    Jesper Jrgensen
    Jim Crossley
    John Bergman
    John T Bell
    Juancarlo Aez
    Julian Gosnell
    Kent Johnson
    Klaus Spd
    Marko Friedmann
    Marko P. O. Nippula
    Matt Watson
    Martin Cordova
    Michael O'Sullivan
    Mike Haberman
    Miro Halas
    Morten Seifert
    Nathan Meyers
    Nicholas Christopher
    Nikos Anerousis
    Norbert Renner
    Nuno Preguia
    Paul Mclachlan
    Paul Weiss
    Pier Fumagalli
    Petr Jiricka
    Philippe Van Dyck
    Preston L. Bannister
    Rafael Posse
    Raif S. Naffah
    Robert Munyer
    Roelf de Kock
    Simon Ritchie
    Stephen Stevens
    Sren Hilmer
    Thomas Beyer
    Thomas Pedersen
    Tobias Miller
    Tony Thompson
    Topper

%package tomcat-servlet-container
Summary:        Tomcat Servlet engine for Geronimo
Group:          Development/Libraries/Java
Provides:       %{name}-tomcat-servlet-container = %{version}-%{release}
Provides:       %{name}-servlet-container = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
PreReq:         /usr/sbin/useradd, /usr/sbin/groupadd, sed, /usr/bin/install

%description tomcat-servlet-container
This is the Tomcat Servlet Enging for Geronimo.



Authors:
--------
    Hans Bergsten <hans@gefionsoftware.com>
    James Duncan <Davidson duncan@x180.com>
    Pierpaolo Fumagalli <pier@apache.org>
    Craig McClanahan <cmcclanahan@mytownnet.com>
    Sam Ruby <rubys@us.ibm.com>
    Jon Stevens <jon@clearink.com>
    Anil Vijendran <akv@eng.sun.com>
    Brian Behlendorf <brian@behlendorf.com>
    Kevin Burton <burton@relativity.yi.org>
    Danno Ferrin <shemnon@earthlink.net>
    Jason Hunter <jh@servlets.com>
    Ramesh Mandava <rmandava@talentportal.com>
    Stefano Mazzocchi <stefano@apache.org>
    Rajiv Mordani <mode@chinet.com>
    Harish Prabhandham <harishp@onebox.com>
    Jean-Luc Rochat <shachor@il.ibm.com>
    James Todd <jwtodd@pacbell.net>

%prep
%setup -c -T
#>>> extract stuff
mkdir -p %{tomcat_dir}
pushd %{tomcat_dir}
tar -zxf %{SOURCE0}
DIRNAME=$(ls -d *)
mv $DIRNAME/* %{tomcat_dir}
rmdir $DIRNAME
popd
mkdir -p %{jetty_dir}
pushd %{jetty_dir}
tar -zxf %{SOURCE1}
DIRNAME=$(ls -d *)
mv $DIRNAME/* %{jetty_dir}
rmdir $DIRNAME
popd
#<<< extract end
sed -i -e 's|@@GERONIMO_HOME@@|%{geronimo_home}|g' %{SOURCE3}
sed -i -e 's|@@DEPLOY_DIR@@|%{deploy_dir}|g' %{SOURCE3}
sed -i -e 's|@@NAME@@|%{name}-%{version}|g' %{SOURCE2}
#>>> update start pages
# this is some very static (and horrible) code, which has to be adjusted in each version:
#>>> tomcat:
mkdir %{tmp_dir}%{tomcat_suffix}
WEBAPP_PATH=%{tomcat_dir}/repository/geronimo/welcome-tomcat/1.1/welcome-tomcat-1.1.car/
# copy image
pushd %{tomcat_dir}
cp %{SOURCE5} $WEBAPP_PATH/images
%patch1
# compile jsp page
# let's go big: just include all available jars in the classpath ;)
TMP_CLASSPATH=$CLASSPATH:$(find %{tomcat_dir} -name "*.jar" -print | tr "\n" ":"):$(find /usr/share/java/ -name "*.jar" -print | tr "\n" ":")
java -cp $TMP_CLASSPATH org.apache.jasper.JspC -d %{tmp_dir}%{tomcat_suffix} -compile -webapp $WEBAPP_PATH
# copy jsp page into jar file
pushd %{tmp_dir}%{tomcat_suffix}
jar -uf $WEBAPP_PATH/WEB-INF/lib/classes.jar org/apache/jsp/index_jsp.class
popd
popd
#<<< tomcat end
#>>> jetty
mkdir %{tmp_dir}%{jetty_suffix}
WEBAPP_PATH=%{jetty_dir}/repository/geronimo/welcome-jetty/1.1/welcome-jetty-1.1.car/
pushd %{jetty_dir}
# copy image
cp %{SOURCE5} $WEBAPP_PATH/images
%patch0
# compile jsp page
TMP_CLASSPATH=$CLASSPATH:$(find %{tomcat_dir} -name "*.jar" -print | tr "\n" ":"):$(find /usr/share/java/ -name "*.jar" -print | tr "\n" ":")
java -cp $TMP_CLASSPATH org.apache.jasper.JspC -d %{tmp_dir}%{jetty_suffix} -compile -webapp $WEBAPP_PATH
# copy jsp page into jar file
pushd %{tmp_dir}%{jetty_suffix}
jar -uf $WEBAPP_PATH/WEB-INF/lib/classes.jar org/apache/jsp/index_jsp.class
popd
popd
#<<< jetty end
#<<< update start pages end
mkdir -p %{tomcat_only_dir}
mkdir -p %{jetty_only_dir}
mkdir -p %{commons_dir}
#>>> split up files into tomcat-only, jetty-only and commons:
# ... create file lists:
TOMCAT_ONLY_FILES=$(diff -r -q %{jetty_dir}/ %{tomcat_dir}/ | grep -v ".*differ$" | grep -v %{jetty_dir}  | sed 's|: |/|g' | sed "s|Only in %{tomcat_dir}/||g")
JETTY_ONLY_FILES=$( diff -r -q %{jetty_dir}/ %{tomcat_dir}/ | grep -v ".*differ$" | grep -v %{tomcat_dir} | sed 's|: |/|g' | sed "s|Only in %{jetty_dir}/||g")
DIFF_FILES=$(diff -r -q %{tomcat_dir}/ %{jetty_dir}/ | grep ".*differ$" | sed 's/Files //g' | sed 's/ and /\n/g' | grep %{tomcat_dir} | sed "s|%{tomcat_dir}/||g")
DIFF_FILES_WITH_PATH=$(diff -r -q %{tomcat_dir}/ %{jetty_dir}/ | grep ".*differ$" | sed 's/Files //g' | sed 's/ and /\n/g' | grep %{tomcat_dir} | sed "s|%{tomcat_dir}/|%{geronimo_home}/|g")
# move files to their folders:
# tomcat:
for file in $TOMCAT_ONLY_FILES $DIFF_FILES
do
  DIRNAME=$(dirname $file)
  mkdir -p %{tomcat_only_dir}/$DIRNAME
  mv %{tomcat_dir}/$file %{tomcat_only_dir}/$DIRNAME
done
# jetty:
for file in $JETTY_ONLY_FILES $DIFF_FILES
do
  DIRNAME=$(dirname $file)
  mkdir -p %{jetty_only_dir}/$DIRNAME
  mv %{jetty_dir}/$file %{jetty_only_dir}/$DIRNAME
done
# common file:
mv %{tomcat_dir}/* %{commons_dir}/
echo done
#<<<
# file lists
find %{tomcat_only_dir} -type d | sed 's|%{tomcat_only_dir}|\%dir %{geronimo_home}/|g' > %{tomcat_file_list}
find %{tomcat_only_dir} -type f | sed 's|%{tomcat_only_dir}|%{geronimo_home}/|g'        >> %{tomcat_file_list}
find %{jetty_only_dir}  -type d | sed 's|%{jetty_only_dir}|\%dir %{geronimo_home}/|g'  > %{jetty_file_list}
find %{jetty_only_dir}  -type f | sed 's|%{jetty_only_dir}|%{geronimo_home}/|g'         >> %{jetty_file_list}
find %{commons_dir}     -type d | sed 's|%{commons_dir}|\%dir %{geronimo_home}/|g'     > %{commons_file_list}
find %{commons_dir}     -type f | sed 's|%{commons_dir}|%{geronimo_home}/|g'            >> %{commons_file_list}
echo $DIFF_FILES_WITH_PATH                                                               > %{dif_file_list}
#>>> check if diff files are handled by alternatives mechanism:
# check if all diff files are in var/config ... if not: adjust update-alternatives stuff and add directory to check
for file in $DIFF_FILES_WITH_PATH
do
  if echo $file | grep %{geronimo_home}/var/config
  then
    continue;
  else
    echo $file is in a directory that is not taken care of in update-alternatives ... please check
    exit 1
  fi
done
#<<< check end
#>>> split diff files up in differnet directories
for directory in %{diff_dirs}
do
  # tomcat
  pushd $(dirname %{tomcat_only_dir}/$directory)
  mv $(basename $directory) $(basename $directory)%{tomcat_suffix}
  # delete config dir from file list:
  sed -i -e "s|.*%{geronimo_home}[/]*/var/config.*||g" %{tomcat_file_list}
  # jetty
  pushd $(dirname %{jetty_only_dir}/$directory)
  mv $(basename $directory) $(basename $directory)%{jetty_suffix}
  # delete config dir from file list:
  sed -i -e "s|.*%{geronimo_home}[/]*/var/config.*||g" %{jetty_file_list}
done
#<<<
#<<< prep end
#>>> install

%install
rm -rf $RPM_BUILD_ROOT
export NO_BRP_CHECK_BYTECODE_VERSION="true"
#>>> sysv init and logging
install -d -m 755 $RPM_BUILD_ROOT/{%{_sbindir},%{_sysconfdir}/init.d}
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/init.d/%{name}
ln -sf %{_sysconfdir}/init.d/%{name} $RPM_BUILD_ROOT/%{_sbindir}/rc%{name}
install -m 755 -d $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT%{_var}/adm/fillup-templates/
#<<<
# copy files
install -m 755 -d $RPM_BUILD_ROOT/%{geronimo_home}
cp -a %{tomcat_only_dir}/* $RPM_BUILD_ROOT/%{geronimo_home}
cp -a %{jetty_only_dir}/* $RPM_BUILD_ROOT/%{geronimo_home}
cp -a %{commons_dir}/* $RPM_BUILD_ROOT/%{geronimo_home}
# move var/log to /var/log/geronimo
install -d -m 0755 $RPM_BUILD_ROOT/%{_localstatedir}/log/%{name}
mv $RPM_BUILD_ROOT%{geronimo_home}/var/log/* $RPM_BUILD_ROOT/%{_localstatedir}/log/%{name}/
rm -rf $RPM_BUILD_ROOT%{geronimo_home}/var/log/
ln -sf %{_localstatedir}/log/%{name} $RPM_BUILD_ROOT%{geronimo_home}/var/log
# remove var/log/* from file list:
sed -i -e "s|.*%{geronimo_home}[/]*/var/log.*||g" %{commons_file_list}
echo %{geronimo_home}/var/log >> %{commons_file_list}
# move configs to etc
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
mv $RPM_BUILD_ROOT%{geronimo_home}/var/config?* $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}
cp $RPM_BUILD_ROOT%{geronimo_home}/var/config/* $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/config%{tomcat_suffix}
cp $RPM_BUILD_ROOT%{geronimo_home}/var/config/* $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}/config%{jetty_suffix}
rm -rf $RPM_BUILD_ROOT%{geronimo_home}/var/config*
# remove var/config/* from file list:
sed -i -e "s|.*%{geronimo_home}[/]*/var/config.*||g" %{commons_file_list}
# link var/temp to /var/tmp
install -d -m 755 $RPM_BUILD_ROOT/%{_localstatedir}/tmp
#mv $RPM_BUILD_ROOT/%{geronimo_home}/%{_localstatedir}/temp/* $RPM_BUILD_ROOT/%{_localstatedir}/tmp
rm -rf $RPM_BUILD_ROOT%{geronimo_home}/%{_localstatedir}/temp
ln -sf %{_localstatedir}/tmp  $RPM_BUILD_ROOT%{geronimo_home}/var/temp
# remove var/temp from file list 
sed -i -e "s|.*%{geronimo_home}[/]*/var/temp.*||g" %{commons_file_list}
echo %{geronimo_home}/var/temp >> %{commons_file_list}
#docdir
install -m 755 -d $RPM_BUILD_ROOT%{_docdir}/%{full_name}
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT%{_docdir}/%{full_name}
mv $RPM_BUILD_ROOT/%{geronimo_home}/RELEASE-NOTES-%{version}.txt  $RPM_BUILD_ROOT%{_docdir}/%{full_name}
# delete RELEASE-NOTES from file list
sed -i -e "s|.*%{geronimo_home}[/]*/RELEASE-NOTES-%{version}.txt||g" %{commons_file_list}
install -m 644 -d $RPM_BUILD_ROOT/%{deploy_dir}
ln -sf %{deploy_dir} $RPM_BUILD_ROOT/%{geronimo_home}/deploy
# create a geronimo base
install -d -m 755 $RPM_BUILD_ROOT/srv/www/geronimo/base
pushd $RPM_BUILD_ROOT/srv/www/geronimo/base
  for file in `ls $RPM_BUILD_ROOT/%{geronimo_home}/`
  do
    ln -sf %{geronimo_home}/$file 
  done
popd 
#<<< install

%clean
rm -rf $RPM_BUILD_ROOT
#>>> pre & post scripts

%pre
# Add the "geronimo" user and group
# we need a shell to be able to use su - later
%{_sbindir}/groupadd -r geronimo 2> /dev/null || :
%{_sbindir}/useradd -c "Geronimo" -g geronimo \
    -s /bin/sh -r -d %{geronimo_home} geronimo 2> /dev/null || :

%pre tomcat-servlet-container
# Add the "geronimo" user and group
# we need a shell to be able to use su - later
%{_sbindir}/groupadd -r geronimo 2> /dev/null || :
%{_sbindir}/useradd -c "Geronimo" -g geronimo \
    -s /bin/sh -r -d %{geronimo_home} geronimo 2> /dev/null || :

%pre jetty-servlet-container
# Add the "geronimo" user and group
# we need a shell to be able to use su - later
%{_sbindir}/groupadd -r geronimo 2> /dev/null || :
%{_sbindir}/useradd -c "Geronimo" -g geronimo \
    -s /bin/sh -r -d %{geronimo_home} geronimo 2> /dev/null || :

%post
id geronimo && chown -R geronimo %{_localstatedir}/log/%{name}
id geronimo && chown -R geronimo /srv/www/geronimo/base
%{fillup_only}

%post tomcat-servlet-container
id geronimo && chown -R geronimo %{_localstatedir}/log/%{name}
update-alternatives --install %{geronimo_home}/var/config  %{name}-servlet-engine %{_sysconfdir}/%{name}/config%{tomcat_suffix} 3
update-alternatives --auto %{name}-servlet-engine

%postun tomcat-servlet-container
if [ "$1" = "0" ]
then
  update-alternatives --remove {name}-servlet-engine %{_sysconfdir}/%{name}/var/config%{tomcat_suffix}
fi

%post jetty-servlet-container
id geronimo && chown -R geronimo %{_localstatedir}/log/%{name}
update-alternatives --install %{geronimo_home}/var/config  %{name}-servlet-engine %{_sysconfdir}/%{name}/config%{jetty_suffix} 2
update-alternatives --auto %{name}-servlet-engine

%postun jetty-servlet-container
if [ "$1" = "0" ]
then
  update-alternatives --remove {name}-servlet-engine %{_sysconfdir}/%{name}/var/config%{jetty_suffix}
fi
#<<< pre & post scripts end
#>>> files
#>>> commons

%files -f %{commons_file_list}
%defattr(-,geronimo,geronimo,-)
%dir %{_sysconfdir}/%{name}
%{_localstatedir}/log/%{name}
%defattr(-,root,root,-)
%doc %{_docdir}/%{full_name}
%dir /srv/www/geronimo
/srv/www/geronimo/base
%{_var}/adm/fillup-templates/*
%{_sysconfdir}/init.d/%{name}
/usr/sbin/rc%{name}
%attr(755,root,root) %{geronimo_home}/deploy
%attr(755,geronimo,geronimo) %{deploy_dir}
#<<< main end
#>>> tomcat

%files tomcat-servlet-container -f %{tomcat_file_list}
%defattr(-,geronimo,geronimo,-)
%{_sysconfdir}/%{name}/config%{tomcat_suffix}
%defattr(-,root,root,-)
# tomcat's config dir
#<<< tomcat
#>>> jetty

%files jetty-servlet-container -f %{jetty_file_list}
%defattr(-,geronimo,geronimo,-)
%{_sysconfdir}/%{name}/config%{jetty_suffix}
%defattr(-,root,root,-)
#<<< jetty
#<<< files end
# vim:fdm=marker:foldmarker=#>>>,#<<<:foldcolumn=6:foldlevel=42:

%changelog
* Tue Jan 29 2008 - anosek@suse.cz
- fixed previous fix: applications can be deployed again
* Wed Jan 23 2008 - anosek@suse.cz
- fixed VUL-0: the start script of geronimo changes permissions of /var/tmp/* [#353919]
  - removed dangerous 'chown -R -L geronimo:geronimo $GERONIMO_BASE/var'
  line from rcgeronimo
  - adjusted file permissions in spec appropriately
* Wed Oct 04 2006 - dbornkessel@suse.de
- changed persmissions of deploy directory
- cleaned up geronimo start script and sysconfig file:
  - introduced GERONIMO_USER and GERONIMO_GROUP variables
* Thu Sep 14 2006 - dbornkessel@suse.de
- update to version 1.1
- cleaned up build process (use original tgz's ... not prepared ones)
- customized welcome page
* Mon Jul 24 2006 - dbornkessel@suse.de
- corrected wrong description of /etc/init.d/geronimo script (Bug 183702)
* Mon Feb 06 2006 - dbornkessel@suse.de
- removed 'install' command in %%post ...
- fixed rpmlint warning and errors
- removed wrong %%ghost
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 20 2006 - dbornkessel@suse.de
- added missing PreReq /usr/bin/install and call install command
  with absolute path in %%pre section
* Wed Jan 18 2006 - dbornkessel@suse.de
- started first version as a binary package
